<div class="cookie-bar-notification<?php echo $position; ?> js-cookie-bar-notification">
    <div class="dsgvo-wrap">
        <div class="cookie-bar-notification-message">
            <p style="margin:0">
                <?php esc_html_e( $message ); ?>
                <a href="<?php echo esc_url( $more_info_link ); ?>" title="<?php esc_attr_e( $more_info_link_text ); ?>" target="_blank"><?php esc_html_e( $more_info_link_text ); ?></a>
            </p>
        </div>
        <div class="cookie-bar-notification-buttons">
            <a class="button-accept js-button-accept" href="javascript:void(0)"><?php esc_html_e( $button_text ); ?></a>
            <?php
                if($optout) {
                    if($optouttype == 'ga') {
            ?>
            <script>
                var cookieBarNotification = jQuery('.js-cookie-bar-notification'),
                    acceptButton = jQuery('.js-button-accept'),
                    optOutButton = jQuery('.js-button-optout');

                function createCookie(key, value, expiresDays) {

                    var currentDate = new Date();

                    currentDate.setTime(currentDate.getTime() + (expiresDays * 24 * 60 * 60 * 1000));
                    var expires = 'expires=' + currentDate.toUTCString(),
                        cookie = escape(key) + '=' + escape(value) + '; Path=/;' + expires;

                    document.cookie = cookie;

                }

                function readCookie (name) {

                    var key = name + '=',
                        cookies = document.cookie.split(';');

                    for (var i = 0; i < cookies.length; i++) {
                        var cookie = cookies[i];
                        while (cookie.charAt(0) === ' ') {
                            cookie = cookie.substring(1, cookie.length);
                        }
                        if (cookie.indexOf(key) === 0) {
                            return cookie.substring(key.length, cookie.length);
                        }
                    }

                    return null;

                }

                switch (readCookie('cookie_consent_status')) {
                    case 'true' :
                        //cookieBarNotification.fadeOut(1000);
                    break;
                    case null:
                        cookieBarNotification.fadeIn(1200);
                        acceptButton.on('click', function () {
                            cookieBarNotification.fadeOut(1000);
                            createCookie('cookie_consent_status', true, 30);
                        });
                        if(optOutButton.length > 0) {
                            optOutButton.on('click', function () {
                                cookieBarNotification.fadeOut(1000);
                                createCookie('cookie_consent_status', true, 30);
                            });
                        }
                    break;
                    default:
                        cookieBarNotification.fadeIn();
                }
                var dsgvomsg;

                switch (readCookie('cookie_consent_status')) {
                    case 'true' :
                        dsgvomsg = '<?php echo $already_accepted_message; ?>';
                    break;
                    case null:
                        dsgvomsg = '<?php echo $successmessage; ?>';
                    break;
                    default:
                        dsgvomsg = '<?php echo $successmessage; ?>';
                }
                var gaProperty = '<?php echo $gpropertyid; ?>';
                var disableStr = 'ga-disable-' + gaProperty;
                if (document.cookie.indexOf(disableStr + '=true') > -1) {
                    window[disableStr] = true;
                }
                function dsgvo_schweiz_gaOptout() {
                    document.cookie = disableStr + '=true; expires=Thu, 31 Dec 2099 23:59:59 UTC; path=/';
                    window[disableStr] = true;
                    alert(dsgvomsg);
                }
            </script>
            <a class="button-optout js-button-optout" onclick="dsgvo_schweiz_gaOptout();" href="javascript:void(0)"><?php esc_html_e( $linktext ); ?></a>
            <?php } elseif($optouttype == 'gtm') { ?>
                <script>
                var cookieBarNotification = jQuery('.js-cookie-bar-notification'),
                    acceptButton = jQuery('.js-button-accept'),
                    optOutButton = jQuery('.js-button-optout');

                function createCookie(key, value, expiresDays) {

                    var currentDate = new Date();

                    currentDate.setTime(currentDate.getTime() + (expiresDays * 24 * 60 * 60 * 1000));
                    var expires = 'expires=' + currentDate.toUTCString(),
                        cookie = escape(key) + '=' + escape(value) + '; Path=/;' + expires;

                    document.cookie = cookie;

                }

                function readCookie (name) {

                    var key = name + '=',
                        cookies = document.cookie.split(';');

                    for (var i = 0; i < cookies.length; i++) {
                        var cookie = cookies[i];
                        while (cookie.charAt(0) === ' ') {
                            cookie = cookie.substring(1, cookie.length);
                        }
                        if (cookie.indexOf(key) === 0) {
                            return cookie.substring(key.length, cookie.length);
                        }
                    }

                    return null;

                }

                switch (readCookie('cookie_consent_status')) {
                    case 'true' :
                        //cookieBarNotification.fadeOut(1000);
                    break;
                    case null:
                        cookieBarNotification.fadeIn(1200);
                        acceptButton.on('click', function () {
                            cookieBarNotification.fadeOut(1000);
                            createCookie('cookie_consent_status', true, 30);
                        });
                        if(optOutButton.length > 0) {
                            optOutButton.on('click', function () {
                                cookieBarNotification.fadeOut(1000);
                                createCookie('cookie_consent_status', true, 30);
                            });
                        }
                    break;
                    default:
                        cookieBarNotification.fadeIn();
                }
                function dsgvo_schweiz_gtmOptout() {
                    <?php echo $callfunc; ?>;

                    var dsgvomsg;

                    switch (readCookie('cookie_consent_status')) {
                        case 'true' :
                            dsgvomsg = '<?php echo $already_accepted_message; ?>';
                        break;
                        case null:
                            dsgvomsg = '<?php echo $successmessage; ?>';
                        break;
                        default:
                            dsgvomsg = '<?php echo $successmessage; ?>'
                    }
                    alert(dsgvomsg);
                }
                </script>
                <a class="button-optout js-button-optout" onclick="dsgvo_schweiz_gtmOptout();" href="javascript:void(0)"><?php esc_html_e( $linktext ); ?></a>
            <?php
                    } elseif($optouttype == 'custom') {
                        echo $customcode;
                    }
                }
            ?>
        </div>
    </div>
</div>
