<?php
    if($optout) {
        if($optouttype == 'ga') {
?>

        <script>
            function readCookieInline (name) {

                var key = name + '=',
                    cookies = document.cookie.split(';');

                for (var i = 0; i < cookies.length; i++) {
                    var cookie = cookies[i];
                    while (cookie.charAt(0) === ' ') {
                        cookie = cookie.substring(1, cookie.length);
                    }
                    if (cookie.indexOf(key) === 0) {
                        return cookie.substring(key.length, cookie.length);
                    }
                }

                return null;

            }
            var dsgvomsg;

            switch (readCookieInline('cookie_consent_status')) {
                case 'true' :
                    dsgvomsg = '<?php echo $already_accepted_message; ?>';
                break;
                case null:
                    dsgvomsg = '<?php echo $successmessage; ?>';
                break;
                default:
                    dsgvomsg = '<?php echo $successmessage; ?>';
            }
            var gaProperty = '<?php echo $gpropertyid; ?>';
            var disableStr = 'ga-disable-' + gaProperty;
            if (document.cookie.indexOf(disableStr + '=true') > -1) {
                window[disableStr] = true;
            }
            function dsgvo_schweiz_gaOptout() {
                document.cookie = disableStr + '=true; expires=Thu, 31 Dec 2099 23:59:59 UTC; path=/';
                window[disableStr] = true;
                alert('<?php echo $successmessage; ?>');
            }
        </script>
        <a class="button-optout js-button-optout" onclick="dsgvo_schweiz_gaOptout();" href="javascript:void(0)"><?php esc_html_e( $linktext ); ?></a>

        <?php } elseif($optouttype == 'gtm') { ?>

        <script>
            function readCookieInline (name) {

                var key = name + '=',
                    cookies = document.cookie.split(';');

                for (var i = 0; i < cookies.length; i++) {
                    var cookie = cookies[i];
                    while (cookie.charAt(0) === ' ') {
                        cookie = cookie.substring(1, cookie.length);
                    }
                    if (cookie.indexOf(key) === 0) {
                        return cookie.substring(key.length, cookie.length);
                    }
                }

                return null;

            }
            function dsgvo_schweiz_gtmOptout() {
                <?php echo $callfunc; ?>;
                var dsgvomsg;

                switch (readCookieInline('cookie_consent_status')) {
                    case 'true' :
                        dsgvomsg = '<?php echo $already_accepted_message; ?>';
                    break;
                    case null:
                        dsgvomsg = '<?php echo $successmessage; ?>';
                    break;
                    default:
                        dsgvomsg = '<?php echo $successmessage; ?>';
                }
                alert(dsgvomsg);
            }
        </script>

        <a class="button-optout js-button-optout" onclick="dsgvo_schweiz_gtmOptout();" href="javascript:void(0)"><?php esc_html_e( $linktext ); ?></a>

<?php
        } elseif($optouttype == 'custom') {
            echo $customcode;
        }

    }
?>
